For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETGet
      • POSTUpdate
      • GETEmail Log
      • POSTInvalidate Tokens
Logo
Sign inBook a demo
API ReferenceOrganization

Update

POST
https://api.mercoa.com/organization
POST
/organization
$curl -X POST https://api.mercoa.com/organization \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "id": "id",
3 "sandbox": true,
4 "name": "name",
5 "logoUrl": "logoUrl",
6 "faviconUrl": "faviconUrl",
7 "websiteUrl": "websiteUrl",
8 "supportEmail": "supportEmail",
9 "paymentMethods": {
10 "payerPayments": [
11 {
12 "type": "bankAccount",
13 "active": true,
14 "availableDeliveryMethods": [
15 "ACH_STANDARD",
16 "ACH_STANDARD"
17 ],
18 "defaultDeliveryMethod": "ACH_STANDARD",
19 "name": "name"
20 },
21 {
22 "type": "bankAccount",
23 "active": true,
24 "availableDeliveryMethods": [
25 "ACH_STANDARD",
26 "ACH_STANDARD"
27 ],
28 "defaultDeliveryMethod": "ACH_STANDARD",
29 "name": "name"
30 }
31 ],
32 "backupDisbursements": [
33 {
34 "type": "bankAccount",
35 "active": true,
36 "availableDeliveryMethods": [
37 "ACH_STANDARD",
38 "ACH_STANDARD"
39 ],
40 "defaultDeliveryMethod": "ACH_STANDARD",
41 "name": "name"
42 },
43 {
44 "type": "bankAccount",
45 "active": true,
46 "availableDeliveryMethods": [
47 "ACH_STANDARD",
48 "ACH_STANDARD"
49 ],
50 "defaultDeliveryMethod": "ACH_STANDARD",
51 "name": "name"
52 }
53 ],
54 "vendorDisbursements": [
55 {
56 "type": "bankAccount",
57 "active": true,
58 "availableDeliveryMethods": [
59 "ACH_STANDARD",
60 "ACH_STANDARD"
61 ],
62 "defaultDeliveryMethod": "ACH_STANDARD",
63 "name": "name"
64 },
65 {
66 "type": "bankAccount",
67 "active": true,
68 "availableDeliveryMethods": [
69 "ACH_STANDARD",
70 "ACH_STANDARD"
71 ],
72 "defaultDeliveryMethod": "ACH_STANDARD",
73 "name": "name"
74 }
75 ]
76 },
77 "emailProvider": {
78 "sender": {
79 "provider": "none",
80 "fromEmail": "fromEmail",
81 "fromName": "fromName",
82 "hasApiKey": true,
83 "useSmartReplyTo": true
84 },
85 "inboxDomain": "inboxDomain",
86 "alternativeInboxDomains": [
87 "alternativeInboxDomains",
88 "alternativeInboxDomains"
89 ]
90 },
91 "externalAccountingSystemProvider": {
92 "type": "none",
93 "hasApiKey": true
94 },
95 "colorScheme": {
96 "primaryColor": "primaryColor",
97 "secondaryColor": "secondaryColor",
98 "logoBackgroundColor": "logoBackgroundColor",
99 "roundedCorners": 1,
100 "fontFamily": "fontFamily",
101 "fontSize": "fontSize"
102 },
103 "payeeOnboardingOptions": {
104 "enableBusiness": true,
105 "enableIndividual": true,
106 "paymentMethod": true,
107 "business": {
108 "address": {
109 "show": true,
110 "edit": true,
111 "required": true
112 },
113 "averageMonthlyTransactionVolume": {
114 "show": true,
115 "edit": true,
116 "required": true
117 },
118 "averageTransactionSize": {
119 "show": true,
120 "edit": true,
121 "required": true
122 },
123 "bankStatement": {
124 "show": true,
125 "edit": true,
126 "required": true
127 },
128 "description": {
129 "show": true,
130 "edit": true,
131 "required": true
132 },
133 "doingBusinessAs": {
134 "show": true,
135 "edit": true,
136 "required": true
137 },
138 "ein": {
139 "show": true,
140 "edit": true,
141 "required": true
142 },
143 "email": {
144 "show": true,
145 "edit": true,
146 "required": true
147 },
148 "formationDate": {
149 "show": true,
150 "edit": true,
151 "required": true
152 },
153 "logo": {
154 "show": true,
155 "edit": true,
156 "required": true
157 },
158 "maxTransactionSize": {
159 "show": true,
160 "edit": true,
161 "required": true
162 },
163 "mcc": {
164 "show": true,
165 "edit": true,
166 "required": true
167 },
168 "name": {
169 "show": true,
170 "edit": true,
171 "required": true
172 },
173 "phone": {
174 "show": true,
175 "edit": true,
176 "required": true
177 },
178 "representatives": {
179 "show": true,
180 "edit": true,
181 "required": true
182 },
183 "tenNinetyNine": {
184 "show": true,
185 "edit": true,
186 "required": true
187 },
188 "termsOfService": {
189 "show": true,
190 "edit": true,
191 "required": true
192 },
193 "type": {
194 "show": true,
195 "edit": true,
196 "required": true
197 },
198 "w9": {
199 "show": true,
200 "edit": true,
201 "required": true
202 },
203 "website": {
204 "show": true,
205 "edit": true,
206 "required": true
207 }
208 },
209 "individual": {
210 "address": {
211 "show": true,
212 "edit": true,
213 "required": true
214 },
215 "bankStatement": {
216 "show": true,
217 "edit": true,
218 "required": true
219 },
220 "dateOfBirth": {
221 "show": true,
222 "edit": true,
223 "required": true
224 },
225 "email": {
226 "show": true,
227 "edit": true,
228 "required": true
229 },
230 "name": {
231 "show": true,
232 "edit": true,
233 "required": true
234 },
235 "phone": {
236 "show": true,
237 "edit": true,
238 "required": true
239 },
240 "ssn": {
241 "show": true,
242 "edit": true,
243 "required": true
244 },
245 "tenNinetyNine": {
246 "show": true,
247 "edit": true,
248 "required": true
249 },
250 "termsOfService": {
251 "show": true,
252 "edit": true,
253 "required": true
254 },
255 "w9": {
256 "show": true,
257 "edit": true,
258 "required": true
259 }
260 }
261 },
262 "payorOnboardingOptions": {
263 "enableBusiness": true,
264 "enableIndividual": true,
265 "paymentMethod": true,
266 "business": {
267 "address": {
268 "show": true,
269 "edit": true,
270 "required": true
271 },
272 "averageMonthlyTransactionVolume": {
273 "show": true,
274 "edit": true,
275 "required": true
276 },
277 "averageTransactionSize": {
278 "show": true,
279 "edit": true,
280 "required": true
281 },
282 "bankStatement": {
283 "show": true,
284 "edit": true,
285 "required": true
286 },
287 "description": {
288 "show": true,
289 "edit": true,
290 "required": true
291 },
292 "doingBusinessAs": {
293 "show": true,
294 "edit": true,
295 "required": true
296 },
297 "ein": {
298 "show": true,
299 "edit": true,
300 "required": true
301 },
302 "email": {
303 "show": true,
304 "edit": true,
305 "required": true
306 },
307 "formationDate": {
308 "show": true,
309 "edit": true,
310 "required": true
311 },
312 "logo": {
313 "show": true,
314 "edit": true,
315 "required": true
316 },
317 "maxTransactionSize": {
318 "show": true,
319 "edit": true,
320 "required": true
321 },
322 "mcc": {
323 "show": true,
324 "edit": true,
325 "required": true
326 },
327 "name": {
328 "show": true,
329 "edit": true,
330 "required": true
331 },
332 "phone": {
333 "show": true,
334 "edit": true,
335 "required": true
336 },
337 "representatives": {
338 "show": true,
339 "edit": true,
340 "required": true
341 },
342 "tenNinetyNine": {
343 "show": true,
344 "edit": true,
345 "required": true
346 },
347 "termsOfService": {
348 "show": true,
349 "edit": true,
350 "required": true
351 },
352 "type": {
353 "show": true,
354 "edit": true,
355 "required": true
356 },
357 "w9": {
358 "show": true,
359 "edit": true,
360 "required": true
361 },
362 "website": {
363 "show": true,
364 "edit": true,
365 "required": true
366 }
367 },
368 "individual": {
369 "address": {
370 "show": true,
371 "edit": true,
372 "required": true
373 },
374 "bankStatement": {
375 "show": true,
376 "edit": true,
377 "required": true
378 },
379 "dateOfBirth": {
380 "show": true,
381 "edit": true,
382 "required": true
383 },
384 "email": {
385 "show": true,
386 "edit": true,
387 "required": true
388 },
389 "name": {
390 "show": true,
391 "edit": true,
392 "required": true
393 },
394 "phone": {
395 "show": true,
396 "edit": true,
397 "required": true
398 },
399 "ssn": {
400 "show": true,
401 "edit": true,
402 "required": true
403 },
404 "tenNinetyNine": {
405 "show": true,
406 "edit": true,
407 "required": true
408 },
409 "termsOfService": {
410 "show": true,
411 "edit": true,
412 "required": true
413 },
414 "w9": {
415 "show": true,
416 "edit": true,
417 "required": true
418 }
419 }
420 },
421 "metadataSchema": [
422 {
423 "key": "key",
424 "displayName": "displayName",
425 "type": "STRING",
426 "description": "description",
427 "lineItem": true,
428 "allowMultiple": true,
429 "validationRules": {
430 "type": "regex",
431 "errorMessage": "errorMessage",
432 "regex": "regex"
433 },
434 "showConditions": {
435 "alwaysHide": true,
436 "hasOptions": true,
437 "hasDocument": true,
438 "hasNoLineItems": true,
439 "paymentSourceTypes": [
440 "custom",
441 "custom"
442 ],
443 "paymentSourceCustomSchemaIds": [
444 "paymentSourceCustomSchemaIds",
445 "paymentSourceCustomSchemaIds"
446 ],
447 "paymentDestinationTypes": [
448 "custom",
449 "custom"
450 ],
451 "paymentDestinationCustomSchemaIds": [
452 "paymentDestinationCustomSchemaIds",
453 "paymentDestinationCustomSchemaIds"
454 ]
455 },
456 "ocrRules": {
457 "extractFromDocument": true,
458 "predictFromHistory": true
459 }
460 },
461 {
462 "key": "key",
463 "displayName": "displayName",
464 "type": "STRING",
465 "description": "description",
466 "lineItem": true,
467 "allowMultiple": true,
468 "validationRules": {
469 "type": "regex",
470 "errorMessage": "errorMessage",
471 "regex": "regex"
472 },
473 "showConditions": {
474 "alwaysHide": true,
475 "hasOptions": true,
476 "hasDocument": true,
477 "hasNoLineItems": true,
478 "paymentSourceTypes": [
479 "custom",
480 "custom"
481 ],
482 "paymentSourceCustomSchemaIds": [
483 "paymentSourceCustomSchemaIds",
484 "paymentSourceCustomSchemaIds"
485 ],
486 "paymentDestinationTypes": [
487 "custom",
488 "custom"
489 ],
490 "paymentDestinationCustomSchemaIds": [
491 "paymentDestinationCustomSchemaIds",
492 "paymentDestinationCustomSchemaIds"
493 ]
494 },
495 "ocrRules": {
496 "extractFromDocument": true,
497 "predictFromHistory": true
498 }
499 }
500 ],
501 "notificationEmailTemplate": {
502 "backgroundStyle": "backgroundStyle",
503 "header": "header",
504 "body": "body",
505 "signature": "signature",
506 "footer": "footer",
507 "button": "button"
508 },
509 "customDomains": [
510 "customDomains",
511 "customDomains"
512 ],
513 "organizationEntityId": "organizationEntityId",
514 "rolePermissions": {
515 "rolePermissions": [
516 "invoice.all",
517 "invoice.all"
518 ]
519 },
520 "notificationsDisabled": true
521}
Update current organization
Was this page helpful?
Previous

Email Log

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
namestringOptional
logostringOptional
Base64 encoded logo image.
faviconstringOptional
Base64 encoded favicon image.
websiteUrlstringOptional
supportEmailstringOptional
paymentMethodsobjectOptional
emailProviderobjectOptional
externalAccountingSystemProviderobjectOptional
colorSchemeobjectOptional
payeeOnboardingOptionsobjectOptional
payorOnboardingOptionsobjectOptional
metadataSchemalist of objectsOptional
notificationEmailTemplateobjectOptional
customDomainslist of stringsOptional
rolePermissionsmap from strings to lists of enumsOptional
notificationsDisabledbooleanOptional
If true, all notifications for this organization will be disabled.

Response

This endpoint returns an object.
idstring
sandboxboolean
namestring
logoUrlstring
faviconUrlstring
websiteUrlstring
supportEmailstring
paymentMethodsobject
emailProviderobject
externalAccountingSystemProviderobject
colorSchemeobject
payeeOnboardingOptionsobject
payorOnboardingOptionsobject
metadataSchemalist of objects
notificationEmailTemplateobject
customDomainslist of strings
organizationEntityIdstring
rolePermissionsmap from strings to lists of enums
notificationsDisabledboolean

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented